### Method

# WebKit WebExtensionMatchPattern matches_url

since: 2.48

#### Declaration [src]

    gboolean
    webkit_web_extension_match_pattern_matches_url (
      WebKitWebExtensionMatchPattern* matchPattern,
      const gchar* url,
      WebKitWebExtensionMatchPatternOptions options
    )

#### Description [src]

Matches the `matchPattern` against the specified URL with options.

Available since: 2.48

#### Parameters

`url`

  Type: `const gchar*`

  The URL to match against the pattern.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`options`

  Type: `WebKitWebExtensionMatchPatternOptions`

  The `WebKitWebExtensionMatchPatternOptions` use while matching.

#### Return value

Type: `gboolean`

Whether the pattern matches the specified URL.